Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Class Task

    java.lang.Object
      org.jbpm.task.Task

All Implemented Interfaces:
  Externalizable, Serializable

    @Entity
    public class Task

extends Object
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`Task()`

Method Summary
`boolean` | `equals(Object obj)`
`Deadlines` | `getDeadlines()`
`Delegation` | `getDelegation()`
`List<I18NText>` | `getDescriptions()`
`Long` | `getId()`
`List<I18NText>` | `getNames()`
`PeopleAssignments` | `getPeopleAssignments()`
`int` | `getPriority()`
`List<I18NText>` | `getSubjects()`
`List<SubTasksStrategy>` | `getSubTaskStrategies()`
`TaskData` | `getTaskData()`
`int` | `getVersion()`
`int` | `hashCode()`
`Boolean` | `isArchived()`
`void` | `readExternal(ObjectInput in)`
`void` | `setArchived(Boolean archived)`
`void` | `setDeadlines(Deadlines deadlines)`
`void` | `setDelegation(Delegation delegation)`
`void` | `setDescriptions(List<I18NText> descriptions)`
`void` | `setId(long id)`
`void` | `setNames(List<I18NText> names)`
`void` | `setPeopleAssignments(PeopleAssignments peopleAssignments)`
`void` | `setPriority(int priority)`
`void` | `setSubjects(List<I18NText> subjects)`
`void` | `setSubTaskStrategies(List<SubTasksStrategy> subTaskStrategies)`
`void` | `setTaskData(TaskData taskData)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Task

    public Task()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

### setId

    public void setId(long id)

### isArchived

    public Boolean isArchived()

### setArchived

    public void setArchived(Boolean archived)

### getVersion

    public int getVersion()

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### getNames

    public List<I18NText> getNames()

### setNames

    public void setNames(List<I18NText> names)

### getSubjects

    public List<I18NText> getSubjects()

### setSubjects

    public void setSubjects(List<I18NText> subjects)

### getDescriptions

    public List<I18NText> getDescriptions()

### setDescriptions

    public void setDescriptions(List<I18NText> descriptions)

### getPeopleAssignments

    public PeopleAssignments getPeopleAssignments()

### setPeopleAssignments

    public void setPeopleAssignments(PeopleAssignments peopleAssignments)

### getDelegation

    public Delegation getDelegation()

### setDelegation

    public void setDelegation(Delegation delegation)

### getTaskData

    public TaskData getTaskData()

### setTaskData

    public void setTaskData(TaskData taskData)

### getDeadlines

    public Deadlines getDeadlines()

### setDeadlines

    public void setDeadlines(Deadlines deadlines)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getSubTaskStrategies

    public List<SubTasksStrategy> getSubTaskStrategies()

  Returns:
    the subTaskStrategies

### setSubTaskStrategies

    public void setSubTaskStrategies(List<SubTasksStrategy> subTaskStrategies)

  Parameters:
    `subTaskStrategies` - the subTaskStrategies to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.